Name:           longomatch
Version:        0.16.0
Release:        1%{?dist}
Summary:        Sports video analysis tool for coaches and sports scientists

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://longomatch.ylatuya.es/index.php
Source0:        http://download.gnome.org/sources/longomatch/0.16/%{name}-%{version}.tar.bz2

BuildRequires:  intltool
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  gtk-sharp2-devel
BuildRequires:  mono-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gnonlin
BuildRequires:  db4o-devel >= 7.4
BuildRequires:  gstreamer-plugins-base-devel

Requires(post): shared-mime-info
Requires(postun): shared-mime-info

ExcludeArch:    sparc64

%description
LongoMatch is a sports video analysis tool for coaches and sports scientists,
to assist them on making games video analysis. It simplifies video analysis by
providing a set of intuitive tools to tag, review and edit the most important
plays of the game. It allows to group plays by categories and adjust their the
boundaries (lead and lag time) through a timeline. It also has support for
playlists, an easy way to create presentations with plays from different games
and provides a video editor to render new videos with your favourite ones. Even
if it is primary focused to sports, LongoMatch can be used for any task that
requires tagging and reviewing segments of a video file, and can be applied to
fields like cinema, medics or conferences.

%package devel
Summary: Development files and libraries for longomatch
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files and libraries for longomatch.

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --enable-dbus=yes --disable-scrollkeeper
make %{?_smp_mflags}

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{a,la}

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %name --with-gnome

%post
update-mime-database >&/dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
update-mime-database >&/dev/null || :
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.dll*
%{_libdir}/%{name}/*.exe

%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/longomatch.*
%{_datadir}/applications/%{name}.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}/*.so

%changelog
* Thu Jan 27 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.16.0-1
- initial package
